/***************************************************************************
                               cmappluginstandard.h
                             -------------------
    begin                : Mon Aug 6 2001
    copyright            : (C) 2001 by Kmud Developer Team
    email                : kmud-devel@kmud.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CMAPPLUGINSTANDARD_H
#define CMAPPLUGINSTANDARD_H

#include "../../cmappluginbase.h"

class CMapManager;

/**This plugin provides the standard mapper tools and views
  *@author Kmud Developer Team
  */

class CMapPluginStandard : public CMapPluginBase
{
   Q_OBJECT
public: 
	CMapPluginStandard(CMapManager *manager,QObject *parent=0, const char *name=0);
	~CMapPluginStandard();

	virtual QList<CMapPropertiesPaneBase> getPropertyPanes(elementTyp type,CMapElement *element,QWidget *parent);

	void profileChanged(void);
};

#endif
